"-----------------------------------------------------------------------------
"
" Filename:      files.vim
" Author:        Helmut Kolb - koh
"
" Last modified: Wednesday, 05 January 2005 - 10:32
"
" History:       Creation on Friday, 17 November 2000 - 12:49
"
"-----------------------------------------------------------------------------

if has("autocmd")

" -=> generell
"autocmd BufWritePost * execute "!scp " . expand("%:p") . " remote.host:`pwd`/%"
"autocmd BufWritePost * silent! "cp " . expand("%:p") . " /home/kolb/temp/vimtest/" . expand("%:t")
" wenn es fuer diesen buffer schon ein viminfo gibt, dann hin da
autocmd BufReadPost * if line("'\"")|execute("normal `\"")|endif

" bei c files versuchen wir die funktionen zusammenzufalten
autocmd BufReadPost *.c,*.cpp call FoldSource()

" -=> mails/news
autocmd FileType mail call FT_mail()

" -=> sourcefiles
autocmd FileType c,cpp call FT_c()

" -=> php sourcefiles
autocmd FileType php3 call FT_php()

" -=> tex/latex sourcefiles
autocmd FileType tex call FT_tex()

" -=> template files
autocmd BufNewFile *.c,*.cpp,*.C,*.h,*.H 0r ~/.templates/c_source.template | call NewTemplateFile(expand("%:t"))|:normal Gdd
autocmd BufNewFile *.vim 0r ~/.templates/vim.template | call NewTemplateFile(expand("%:t"))|:normal Gdd

" -=> file history
autocmd BufWritePre,FileWritePre * ks|call UpdateModDate()|'s

" move to the directory where our current file exists
autocmd BufEnter * exe 'cd '.expand("%:p:h")

endif " autocmd

